### Method

# Atspi Document set_text_selections

since: 2.52

#### Declaration [src]

    gboolean
    atspi_document_set_text_selections (
      AtspiDocument* document,
      GArray* selections,
      GError** error
    )

#### Description [src]

Makes 1 or more selections within this document denoted by the given array of AtspiTextSelections. Any existing physical selection (inside or outside this document) is replaced by the new selections. All objects within the given selection ranges must be descendants of this document. Otherwise FALSE will be returned.

Available since: 2.52

#### Parameters

`selections`

  Type: An array of `None`

  A GArray of AtspiTextSelections to be selected.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the selection was made successfully; FALSE otherwise.